# LodLevel(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``LodLevel`(bpy_struct)
  `distance`

    Distance to begin using this level of detail

    Type: | float in [0, inf], default 0.0

  `object`

    Object to use for this level of detail

    Type: | `Object`

  `object_hysteresis_percentage`

    Minimum distance change required to transition to the previous level of detail

    Type: | int in [0, 100], default 0

  `use_material`

    Use the material from this object at this level of detail

    Type: | boolean, default False

  `use_mesh`

    Use the mesh from this object at this level of detail

    Type: | boolean, default False

  `use_object_hysteresis`

    Override LoD Hysteresis scene setting for this LoD level

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Object.lod_levels` |